package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.param.model.VehiclePageParam;
import api.common.pojo.po.model.VehicleTempPO;
import api.common.pojo.vo.model.VehicleTempVO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface VehicleTempMapper {

    List<VehicleTempVO> getVehicleTempTree();

    List<VehicleTempVO> getVehicleTempPageList(VehiclePageParam pageParam);

    VehicleTempVO getVehicleTempInfo(VehiclePageParam param);

    List<VehicleTempVO> selectByModelLabel(VehicleTempPO po);

    List<VehicleTempVO> checkVehicleName(VehicleTempPO po);


    void insert(VehicleTempPO po);

    void update(VehicleTempPO po);

    int delVehicleTempById(VehicleTempPO po);
}
